using System;
using System.Collections.Generic;
using System.Text;

namespace Monitoring
{
   public class HeartbeatListenerCollection : List<HeartbeatMonitorBase > 
    {

       /// <summary>
       /// Returns true if the named heartbeat listener is in this
       /// collection
       /// </summary>
       /// <param name="heartbeatListenername"></param>
       /// <returns></returns>
       public bool ContainsName(string heartbeatListenername)
       {
           foreach (HeartbeatMonitorBase  _hbt in this)
           {
               if (_hbt.Name == heartbeatListenername)
               {
                   return true;
               }
           }
           return false;
       }

    }
}
