using System;
using System.Diagnostics;

namespace Monitoring
{
    /// <summary>
    /// 
    /// </summary>
    public class PerformanceCounterHeartbeatMonitor : HeartbeatMonitorBase 
    {

        private static PerformanceCounter _pcheartbeat;

        public override void Beat()
        {
            _pcheartbeat.Increment();
        }

        public override void Beat(int Beatvalue)
        {
            if (_pcheartbeat != null)
            {
                _pcheartbeat.RawValue = Beatvalue;
            }
        }

        #region Constructors
        public PerformanceCounterHeartbeatMonitor()
        {
            _pcheartbeat = new PerformanceCounter("Monitoring", "Heartbeats");
        }

        public PerformanceCounterHeartbeatMonitor(string PerformanceCounterName)
        {
            _pcheartbeat = new PerformanceCounter("Monitoring", PerformanceCounterName);
        }
        #endregion

    }
}
