using System;

namespace Monitoring
{
    public class TraceHeartbeatMonitor : HeartbeatMonitorBase 
    {

        private string _heartbeatName = "Heartbeat";

        public override void Beat()
        {
            System.Diagnostics.Trace.WriteLine(string.Concat(_heartbeatName , " :", DateTime.Now.Ticks.ToString())); 
        }

        public override void Beat(int Beatvalue)
        {
            System.Diagnostics.Trace.WriteLine(string.Concat(_heartbeatName , " :", DateTime.Now.Ticks.ToString(), " value ", Beatvalue.ToString() ));
        }

        #region Constructors
        public TraceHeartbeatMonitor()
        {
        }

        public TraceHeartbeatMonitor(string heartbeatName)
        {
            _heartbeatName = heartbeatName;
        }
        #endregion

    }
}
